Bug 1817491 - enable mdadm's services by default in 90-default.preset
Summary: enable mdadm's services by default in 90-default.preset
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1817492 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-26 12:48 UTC by XiaoNi
Modified: 2020-11-14 01:22 UTC (History)
16 users (show)

Fixed In Version: fedora-release-32-4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-14 01:22:57 UTC
Type: Bug


Attachments (Terms of Use)

Description XiaoNi 2020-03-26 12:48:49 UTC
Description of problem:

Hi all

In 4.1-3, mdadm added raid-check.timer. It needs to enable raid-check.timer
by default

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Zbigniew Jędrzejewski-Szmek 2020-03-26 13:12:51 UTC
*** Bug 1817492 has been marked as a duplicate of this bug. ***

Comment 2 Zbigniew Jędrzejewski-Szmek 2020-03-26 13:14:50 UTC
Please answer the following questions:

* Does the service require post-rpm-installation configuration in order to be useful (for example, does it need manual edits to a configuration file)?

* Does the service listen on a network socket for connections originating on a separate physical or virtual machine?

* Is the service non-persistent (i.e. run once at startup and exit)?

* What is the exact name (or names) of the systemd unit files to be enabled?

* Is this request for all Fedora deliverables or only for some Editions (list them)?

Comment 3 Zbigniew Jędrzejewski-Szmek 2020-03-26 13:23:12 UTC
*** Bug 1817492 has been marked as a duplicate of this bug. ***

Comment 4 XiaoNi 2020-03-26 13:29:15 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> Please answer the following questions:
> 
> * Does the service require post-rpm-installation configuration in order to
> be useful (for example, does it need manual edits to a configuration file)?

Hi

Does it mean it needs this line in spec file?
%systemd_post mdmonitor.service raid-check.{service,timer}

It doesn't need to edit raid-check.service and raid-check.timer manually. 

> 
> * Does the service listen on a network socket for connections originating on
> a separate physical or virtual machine?

No
> 
> * Is the service non-persistent (i.e. run once at startup and exit)?

It's raid-check.timer

[Unit]
Description=Weekly RAID setup health check

[Timer]
OnCalendar=Sun *-*-* 01:00:00
Persistent=true               
AccuracySec=24h

[Install]
WantedBy=timers.target

So it's persistent, right? 

> 
> * What is the exact name (or names) of the systemd unit files to be enabled?
/usr/lib/systemd/system/raid-check.timer

> 
> * Is this request for all Fedora deliverables or only for some Editions
> (list them)?
f31/f32/rawhide

Comment 5 XiaoNi 2020-05-27 06:16:07 UTC
Hi all

Any update on this one?

Comment 6 XiaoNi 2020-06-11 03:02:56 UTC
Hi all

Any update on this one? Now it affects mdadm systemd raid-check service.

Comment 7 Stephen Gallagher 2020-06-15 13:30:12 UTC
Submitted for inclusion to fedora-release:

https://src.fedoraproject.org/rpms/fedora-release/pull-request/131

Comment 8 XiaoNi 2020-11-12 08:50:15 UTC
Hi Stephen

This bug is not fixed. The steps should be wrong. It needs to run fedpkg update.
Maybe it's the reason?

https://bugzilla.redhat.com/show_bug.cgi?id=1801010#c37

Thanks
Xiao

Comment 9 XiaoNi 2020-11-13 07:54:28 UTC
Hi Stephen

Do I need to file a new bug for f32/f31?

Comment 10 Stephen Gallagher 2020-11-13 15:32:11 UTC
No, I can use this one to add it to F32. There's no point in submitting it for F31 now; it goes EOL in 11 days (and would likely take at least seven to get to the stable repo).

Comment 11 Fedora Update System 2020-11-13 15:36:14 UTC
FEDORA-2020-202ff77470 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-202ff77470

Comment 12 Fedora Update System 2020-11-14 01:22:57 UTC
FEDORA-2020-202ff77470 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.